## GcmTables

GcmTables — An object to convert ID values into text

## Synopsis

    struct              GcmTables;
    struct              GcmTablesClass;
    GcmTables *         gcm_tables_new                      (void);
    gchar *             gcm_tables_get_pnp_id               (GcmTables *tables,
                                                             const gchar *pnp_id,
                                                             GError **error);
                        GcmTablesPrivate;

## Object Hierarchy

      GObject
       +----GcmTables

## Properties

      "data-dir"                 gchar*                : Read

## Description

This object parses the USB, PCI and PNP tables to return text for numbers.

## Details

### struct GcmTables

    struct GcmTables;

### struct GcmTablesClass

    struct GcmTablesClass {
    	GObjectClass parent_class;
    	/* padding for future expansion */
    	void (*_gcm_reserved1) (void);
    	void (*_gcm_reserved2) (void);
    	void (*_gcm_reserved3) (void);
    	void (*_gcm_reserved4) (void);
    	void (*_gcm_reserved5) (void);
    };

### gcm_tables_new ()

    GcmTables *         gcm_tables_new                      (void);

Returns : | a new GcmTables object.

Since 2.91.1

### gcm_tables_get_pnp_id ()

    gchar *             gcm_tables_get_pnp_id               (GcmTables *tables,
                                                             const gchar *pnp_id,
                                                             GError **error);

Since 2.91.1

### GcmTablesPrivate

    typedef struct _GcmTablesPrivate GcmTablesPrivate;

Private GcmTables data

## Property Details

### The `"data-dir"` property

      "data-dir"                 gchar*                : Read

Default value: NULL